<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Prints a particular instance of nasatlx
 *
 * You can have a rather longer description of the file as well,
 * if you like, and it can span multiple lines.
 *
 * @package    mod_nasatlx
 * @copyright  2011 Your Name
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

/// (Replace nasatlx with the name of your module and remove this line)

require_once(dirname(dirname(dirname(__FILE__))).'/config.php');
require_once(dirname(__FILE__).'/lib.php');

$id = optional_param('id', 0, PARAM_INT); // course_module ID, or
$n  = optional_param('n', 0, PARAM_INT);  // nasatlx instance ID - it should be named as the first character of the module

if ($id) {
    $cm         = get_coursemodule_from_id('nasatlx', $id, 0, false, MUST_EXIST);
    $course     = $DB->get_record('course', array('id' => $cm->course), '*', MUST_EXIST);
    $nasatlx  = $DB->get_record('nasatlx', array('id' => $cm->instance), '*', MUST_EXIST);
} elseif ($n) {
    $nasatlx  = $DB->get_record('nasatlx', array('id' => $n), '*', MUST_EXIST);
    $course     = $DB->get_record('course', array('id' => $nasatlx->course), '*', MUST_EXIST);
    $cm         = get_coursemodule_from_instance('nasatlx', $nasatlx->id, $course->id, false, MUST_EXIST);
} else {
    error('You must specify a course_module ID or an instance ID');
}

require_login($course, true, $cm);
$context = context_module::instance($cm->id);

add_to_log($course->id, 'nasatlx', 'view', "view.php?id={$cm->id}", $nasatlx->name, $cm->id);


if(!empty($_POST)){
	$record = new stdClass();
	$record->course         = $course->id;
	$record->user = $USER->id;
	$record->cmid = $cm->id;

	$record->created = date('Y-m-d H:i:s');

	$record->scale1 = $_POST["scale"][0];
	$record->scale2 = $_POST["scale"][1];
	$record->scale3 = $_POST["scale"][2];
	$record->scale4 = $_POST["scale"][3];
	$record->scale5 = $_POST["scale"][4];
	$record->scale6 = $_POST["scale"][5];

	$record->calc1 = $_POST["calc"][0];
	$record->calc2 = $_POST["calc"][1];
	$record->calc3 = $_POST["calc"][2];
	$record->calc4 = $_POST["calc"][3];
	$record->calc5 = $_POST["calc"][4];
	$record->calc6 = $_POST["calc"][5];

	$record->peso1 = $_POST["peso"][0];
	$record->peso2 = $_POST["peso"][1];
	$record->peso3 = $_POST["peso"][2];
	$record->peso4 = $_POST["peso"][3];
	$record->peso5 = $_POST["peso"][4];
	$record->peso6 = $_POST["peso"][5];


	$DB->insert_record('nasatlx_resps', $record, false);
	echo "OK";
	exit;
}

/// Print the page header

$PAGE->set_url('/mod/nasatlx/view.php', array('id' => $cm->id));
$PAGE->set_title(format_string($nasatlx->name));
$PAGE->set_heading(format_string($course->fullname));
$PAGE->set_context($context);

// other things you may want to set - remove if not needed
//$PAGE->set_cacheable(false);
//$PAGE->set_focuscontrol('some-html-id');
//$PAGE->add_body_class('nasatlx-'.$somevar);

// Output starts here
echo $OUTPUT->header();

if ($nasatlx->intro) { // Conditions to show the intro can change to look for own settings or whatever
    echo $OUTPUT->box(format_module_intro('nasatlx', $nasatlx, $cm->id), 'generalbox mod_introbox', 'nasatlxintro');
}

// Replace the following lines with you own code
echo $OUTPUT->heading('Responda ao questionário');


?>

<script language="JavaScript" type="text/javascript">
<!--

// Create a set of parallel arrays for each of the scales
var scale      = new Array();
var left       = new Array();
var right      = new Array();
var def        = new Array();
var NUM_SCALES = 6;

scale[0]  = "Demanda mental"; 
left[0]   = "Baixa";
right[0]  = "Alta";
def[0]    = "Quanto das atividades mental e perceptual foram exigidas (por exemplo: pensar, decidir, calcular, lembrar, observar, procurar, etc)? A tarefa foi fácil ou difícil, simples ou complexa, rigorosa ou tolerante?";

scale[1]  = "Demanda física"; 
left[1]   = "Baixa";
right[1]  = "Alta";
def[1]    = "Quanto esforço físico foi exigido (por exemplo: empurrar, puxar, virar, controlar, ativar, etc)? A tarefa foi fácil ou exigente, morosa ou rápida, leve ou pesada?";

scale[2]  = "Demanda de tempo"; 
left[2]   = "Baixa";
right[2]  = "Alta";
def[2]    = "Quanta pressão em relação ao tempo você sentiu no ritmo de execução da tarefa? O ritmo era lento e vagaroso ou rápido e frenético?";

scale[3]  = "Desempenho"; 
left[3]   = "Boa";
right[3]  = "Ruim";
def[3]    = "Quão bem sucedido você se considera ao realizar os objetivos da tarefa? Ficou satisfeito com o seu desempenho no cumprimento dessas metas?";

scale[4]  = "Esforço"; 
left[4]   = "Baixo";
right[4]  = "Alto";
def[4]    = "O quão duro você teve de trabalhar o (mental e fisicamente) para alcançar o seu nível de desempenho?";

scale[5]  = "Frustração"; 
left[5]   = "Baixa";
right[5]  = "Alta";
def[5]    = "Quão inseguro, desencorajado, irritado, estressado e aborrecido versus seguro, gratificado, satisfeito, relaxado e complacente você se sentiu durante a tarefa?";

// Pairs of factors in order in the original instructions, numbers
// refer to the index in the scale, left, right, def arrays.
var pair  = new Array();
pair[0]   = "4 3";
pair[1]   = "2 5";
pair[2]   = "2 4";
pair[3]   = "1 5";
pair[4]   = "3 5";
pair[5]   = "1 2";
pair[6]   = "1 3";
pair[7]   = "2 0";
pair[8]   = "5 4";
pair[9]   = "3 0";
pair[10]  = "3 2";
pair[11]  = "0 4";
pair[12]  = "0 1";
pair[13]  = "4 1";
pair[14]  = "5 0";

// Variable where the results end up
var results_rating = new Array();
var results_tally  = new Array();
var results_weight = new Array();
var results_overall;

var pair_num = 0;
for (var i = 0; i < NUM_SCALES; i++)
	results_tally[i] = 0;

// Used to randomize the pairings presented to the user
function randOrd()
{
	return (Math.round(Math.random())-0.5); 
}

// Make sure things are good and mixed
for (i = 0; i < 100; i++)
{
	pair.sort(randOrd);
}

// They click on a scale entry
function scaleClick(index, val)
{
	results_rating[index] = val;

	// Turn background color to white for all cells
	for (i = 5; i <= 100; i += 5)
	{
		var top = "t_" + index + "_" + i;
		var bottom = "b_" + index + "_" + i;
		document.getElementById(top).bgColor='#FFFFFF';
		document.getElementById(bottom).bgColor='#FFFFFF';
	}

	var top = "t_" + index + "_" + val;
	var bottom = "b_" + index + "_" + val;
	document.getElementById(top).bgColor='#AAAAAA';
	document.getElementById(bottom).bgColor='#AAAAAA';
}

// Return the HTML that produces the table for a given scale
function getScaleHTML(index)
{
	var result = "";

	// Outer table with a column for scale, column for definition
	result += '<table><tr><td>';

	// Table that generates the scale
	result += '<table class="scale">';

	// Row 1, just the name of the scale
	result += '<tr><td colspan="20" class="heading">' + scale[index] + '</td></tr>';

	// Row 2, the top half of the scale increments, 20 total columns
	result += '<tr>';
	var num = 1;
	for (var i = 5; i <= 100; i += 5)
	{
		result += '<td id="t_' + index + '_' + i + '"   class="top' + num + '" onMouseUp="scaleClick(' + index + ', ' + i + ');"></td>';
		num++;
		if (num > 2)
			num = 1;
	}
	result += '</tr>';

	// Row 3, bottom half of the scale increments
	result += '<tr>';
	for (var i = 5; i <= 100; i += 5)
	{
		result += '<td id="b_' + index + '_' + i + '"   class="bottom" onMouseUp="scaleClick(' + index + ', ' + i + ');"></td>';
	}
	result += '</tr>';

	// Row 4, left and right of range labels
	result += '<tr>';
	result += '<td colspan="10" class="left">' + left[index] + '</td><td colspan="10" class="right">' + right[index] + '</td>';
	result += '</tr></table></td>';


	// Now for the definition of the scale
	result += '<td class="def">';
	result += def[index];
	result += '</td></tr></table>';

	return result;
}

function onLoad()
{
	// Get all the scales ready
	for (var i = 0; i < NUM_SCALES; i++)
	{
		document.getElementById("scale" + i).innerHTML = getScaleHTML(i);
	}
}

// Users want to proceed after doing the scales
function buttonPart1()
{
	// Check to be sure they click on every scale
	for (var i = 0; i < NUM_SCALES; i++)
	{
		if (!results_rating[i])
		{
			alert('Você precisa escolher um valor para cada escala!');
			return false;
		}
	}

	// Bye bye part 1, hello part 2
	document.getElementById('div_part1').style.display = 'none'; 
	document.getElementById('div_part2').style.display = ''; 

	return true;
}

// User done reading the part 2 instructions
function buttonPart2()
{
	// Bye bye part 2, hello part 3
	document.getElementById('div_part2').style.display = 'none'; 
	document.getElementById('div_part3').style.display = ''; 

	// Set the labels for the buttons
	setPairLabels();
	return true;
}

// Set the button labels for the pairwise comparison stage
function setPairLabels()
{
	var indexes = new Array();
	indexes = pair[pair_num].split(" ");

	var pair1 = scale[indexes[0]];
	var pair2 = scale[indexes[1]];

	document.getElementById('pair1').value = pair1;
	document.getElementById('pair2').value = pair2;

	document.getElementById('pair1_def').innerHTML = def[indexes[0]];
	document.getElementById('pair2_def').innerHTML = def[indexes[1]];
}

// They clicked the top pair button
function buttonPair1()
{
	var indexes = new Array();
	indexes = pair[pair_num].split(" ");
	results_tally[indexes[0]]++;	

	nextPair();
	return true;
}

// They clicked the bottom pair button
function buttonPair2()
{
	var indexes = new Array();
	indexes = pair[pair_num].split(" ");
	results_tally[indexes[1]]++;	
	nextPair();
	return true;
}

// Compute the weights and the final score
function calcResults()
{
	results_overall = 0.0;

	for (var i = 0; i < NUM_SCALES; i++)
	{
		results_weight[i] = results_tally[i] / 15.0;
		results_overall += results_weight[i] * results_rating[i];
	}
}

// Output the table of results
function getResultsHTML()
{
	var result = "";

	result += "<table><tr><td></td><td>Valor</td><td>Cálculo</td><td>Peso</td></tr>";
	for (var i = 0; i < NUM_SCALES; i++)
	{
		result += "<tr>";

		result += "<td>";
		result += scale[i];
		result += "</td>";

		result += "<td>";
		result += results_rating[i];
		result += "</td>";

		result += "<td>";
		result += results_tally[i];
		result += "</td>";

		result += "<td>";
		result += results_weight[i];
		result += "</td>";

		result += "</tr>";
	}

	result += "</table>";
	result += "<br/>";
	result += "Total = ";
	result += results_overall;
	result += "<br/>";

	$.post("<? echo "view.php?id=".$cm->id ?>", { scale: results_rating, calc: results_tally, peso: results_weight}, function(d){
	});

	result = "Obrigado por responder.";
	return result;
}

// Move to the next pair
function nextPair()
{
	pair_num++;
	if (pair_num >= 15)
	{
		document.getElementById('div_part3').style.display = 'none'; 
		document.getElementById('div_part4').style.display = '';
		calcResults();
		document.getElementById('div_part4').innerHTML = getResultsHTML();		
	}
	else
	{
		setPairLabels();
	}
}

// -->
</script>

<style>
td.bottom
{
	width: 0.6cm;
      height: 0.4cm;
	border-bottom: 1px solid black;
	border-left: 1px solid black;
	border-right: 1px solid black;
	margin: 0px; 
	padding: 0px 0px 0px 0px;

}

table.scale
{
	margin: 0px;
	padding: 0px 0px 0px 0px;
      border-collapse: collapse
}

td.top1
{
	width: 0.6cm;
      height: 0.4cm;
	border-top: 1px solid black;
	border-left: 1px solid black;
	margin: 0px; 
	padding: 0px 0px 0px 0px;
}
td.top2
{
	width: 0.6cm;
      height: 0.4cm;
	border-top: 1px solid black;
	border-right: 1px solid black;
	margin: 0px; 
	padding: 0px 0px 0px 0px;
}
td.heading
{
	font: Bold 14px Arial, Helvetica, sans-serif;
	text-align: center;
}
td.left
{
	font: 14px Arial, Helvetica, sans-serif;
}
td.right
{
	font: 14px Arial, Helvetica, sans-serif;
	text-align: right;
}

td.def
{
	width: 12cm;	
	padding: 0px 0px 0px 20px;
	font: 12px Arial, Helvetica, sans-serif;
}

input.pair
{
	width: 5cm;
	height: 1cm;
	font: Bold 14px Arial, Helvetica, sans-serif;
}
</style>

<div id="div_part1">

  Questionário sobre a tarefa - Parte 1 <br>
  <br>
  Clique em cada escala no ponto que melhor representa sua experiência durante a tarefa <br>
  <br>

  <div id="scale0"><table><tbody><tr><td><table class="scale"><tbody><tr><td colspan="20" class="heading">Demanda mental</td></tr><tr><td id="t_0_5" class="top1" onmouseup="scaleClick(0, 5);" bgcolor="#FFFFFF"></td><td id="t_0_10" class="top2" onmouseup="scaleClick(0, 10);" bgcolor="#FFFFFF"></td><td id="t_0_15" class="top1" onmouseup="scaleClick(0, 15);" bgcolor="#FFFFFF"></td><td id="t_0_20" class="top2" onmouseup="scaleClick(0, 20);" bgcolor="#FFFFFF"></td><td id="t_0_25" class="top1" onmouseup="scaleClick(0, 25);" bgcolor="#FFFFFF"></td><td id="t_0_30" class="top2" onmouseup="scaleClick(0, 30);" bgcolor="#FFFFFF"></td><td id="t_0_35" class="top1" onmouseup="scaleClick(0, 35);" bgcolor="#FFFFFF"></td><td id="t_0_40" class="top2" onmouseup="scaleClick(0, 40);" bgcolor="#FFFFFF"></td><td id="t_0_45" class="top1" onmouseup="scaleClick(0, 45);" bgcolor="#FFFFFF"></td><td id="t_0_50" class="top2" onmouseup="scaleClick(0, 50);" bgcolor="#FFFFFF"></td><td id="t_0_55" class="top1" onmouseup="scaleClick(0, 55);" bgcolor="#FFFFFF"></td><td id="t_0_60" class="top2" onmouseup="scaleClick(0, 60);" bgcolor="#FFFFFF"></td><td id="t_0_65" class="top1" onmouseup="scaleClick(0, 65);" bgcolor="#FFFFFF"></td><td id="t_0_70" class="top2" onmouseup="scaleClick(0, 70);" bgcolor="#AAAAAA"></td><td id="t_0_75" class="top1" onmouseup="scaleClick(0, 75);" bgcolor="#FFFFFF"></td><td id="t_0_80" class="top2" onmouseup="scaleClick(0, 80);" bgcolor="#FFFFFF"></td><td id="t_0_85" class="top1" onmouseup="scaleClick(0, 85);" bgcolor="#FFFFFF"></td><td id="t_0_90" class="top2" onmouseup="scaleClick(0, 90);" bgcolor="#FFFFFF"></td><td id="t_0_95" class="top1" onmouseup="scaleClick(0, 95);" bgcolor="#FFFFFF"></td><td id="t_0_100" class="top2" onmouseup="scaleClick(0, 100);" bgcolor="#FFFFFF"></td></tr><tr><td id="b_0_5" class="bottom" onmouseup="scaleClick(0, 5);" bgcolor="#FFFFFF"></td><td id="b_0_10" class="bottom" onmouseup="scaleClick(0, 10);" bgcolor="#FFFFFF"></td><td id="b_0_15" class="bottom" onmouseup="scaleClick(0, 15);" bgcolor="#FFFFFF"></td><td id="b_0_20" class="bottom" onmouseup="scaleClick(0, 20);" bgcolor="#FFFFFF"></td><td id="b_0_25" class="bottom" onmouseup="scaleClick(0, 25);" bgcolor="#FFFFFF"></td><td id="b_0_30" class="bottom" onmouseup="scaleClick(0, 30);" bgcolor="#FFFFFF"></td><td id="b_0_35" class="bottom" onmouseup="scaleClick(0, 35);" bgcolor="#FFFFFF"></td><td id="b_0_40" class="bottom" onmouseup="scaleClick(0, 40);" bgcolor="#FFFFFF"></td><td id="b_0_45" class="bottom" onmouseup="scaleClick(0, 45);" bgcolor="#FFFFFF"></td><td id="b_0_50" class="bottom" onmouseup="scaleClick(0, 50);" bgcolor="#FFFFFF"></td><td id="b_0_55" class="bottom" onmouseup="scaleClick(0, 55);" bgcolor="#FFFFFF"></td><td id="b_0_60" class="bottom" onmouseup="scaleClick(0, 60);" bgcolor="#FFFFFF"></td><td id="b_0_65" class="bottom" onmouseup="scaleClick(0, 65);" bgcolor="#FFFFFF"></td><td id="b_0_70" class="bottom" onmouseup="scaleClick(0, 70);" bgcolor="#AAAAAA"></td><td id="b_0_75" class="bottom" onmouseup="scaleClick(0, 75);" bgcolor="#FFFFFF"></td><td id="b_0_80" class="bottom" onmouseup="scaleClick(0, 80);" bgcolor="#FFFFFF"></td><td id="b_0_85" class="bottom" onmouseup="scaleClick(0, 85);" bgcolor="#FFFFFF"></td><td id="b_0_90" class="bottom" onmouseup="scaleClick(0, 90);" bgcolor="#FFFFFF"></td><td id="b_0_95" class="bottom" onmouseup="scaleClick(0, 95);" bgcolor="#FFFFFF"></td><td id="b_0_100" class="bottom" onmouseup="scaleClick(0, 100);" bgcolor="#FFFFFF"></td></tr><tr><td colspan="10" class="left">Baixa</td><td colspan="10" class="right">Alta</td></tr></tbody></table></td><td class="def">Quanto das atividades mental e perceptual foram exigidas (por exemplo: pensar, decidir, calcular, lembrar, observar, procurar, etc)? A tarefa foi fácil ou difícil, simples ou complexa, rigorosa ou tolerante?</td></tr></tbody></table></div>
  <div id="scale1"><table><tbody><tr><td><table class="scale"><tbody><tr><td colspan="20" class="heading">Demanda física</td></tr><tr><td id="t_1_5" class="top1" onmouseup="scaleClick(1, 5);" bgcolor="#AAAAAA"></td><td id="t_1_10" class="top2" onmouseup="scaleClick(1, 10);" bgcolor="#FFFFFF"></td><td id="t_1_15" class="top1" onmouseup="scaleClick(1, 15);" bgcolor="#FFFFFF"></td><td id="t_1_20" class="top2" onmouseup="scaleClick(1, 20);" bgcolor="#FFFFFF"></td><td id="t_1_25" class="top1" onmouseup="scaleClick(1, 25);" bgcolor="#FFFFFF"></td><td id="t_1_30" class="top2" onmouseup="scaleClick(1, 30);" bgcolor="#FFFFFF"></td><td id="t_1_35" class="top1" onmouseup="scaleClick(1, 35);" bgcolor="#FFFFFF"></td><td id="t_1_40" class="top2" onmouseup="scaleClick(1, 40);" bgcolor="#FFFFFF"></td><td id="t_1_45" class="top1" onmouseup="scaleClick(1, 45);" bgcolor="#FFFFFF"></td><td id="t_1_50" class="top2" onmouseup="scaleClick(1, 50);" bgcolor="#FFFFFF"></td><td id="t_1_55" class="top1" onmouseup="scaleClick(1, 55);" bgcolor="#FFFFFF"></td><td id="t_1_60" class="top2" onmouseup="scaleClick(1, 60);" bgcolor="#FFFFFF"></td><td id="t_1_65" class="top1" onmouseup="scaleClick(1, 65);" bgcolor="#FFFFFF"></td><td id="t_1_70" class="top2" onmouseup="scaleClick(1, 70);" bgcolor="#FFFFFF"></td><td id="t_1_75" class="top1" onmouseup="scaleClick(1, 75);" bgcolor="#FFFFFF"></td><td id="t_1_80" class="top2" onmouseup="scaleClick(1, 80);" bgcolor="#FFFFFF"></td><td id="t_1_85" class="top1" onmouseup="scaleClick(1, 85);" bgcolor="#FFFFFF"></td><td id="t_1_90" class="top2" onmouseup="scaleClick(1, 90);" bgcolor="#FFFFFF"></td><td id="t_1_95" class="top1" onmouseup="scaleClick(1, 95);" bgcolor="#FFFFFF"></td><td id="t_1_100" class="top2" onmouseup="scaleClick(1, 100);" bgcolor="#FFFFFF"></td></tr><tr><td id="b_1_5" class="bottom" onmouseup="scaleClick(1, 5);" bgcolor="#AAAAAA"></td><td id="b_1_10" class="bottom" onmouseup="scaleClick(1, 10);" bgcolor="#FFFFFF"></td><td id="b_1_15" class="bottom" onmouseup="scaleClick(1, 15);" bgcolor="#FFFFFF"></td><td id="b_1_20" class="bottom" onmouseup="scaleClick(1, 20);" bgcolor="#FFFFFF"></td><td id="b_1_25" class="bottom" onmouseup="scaleClick(1, 25);" bgcolor="#FFFFFF"></td><td id="b_1_30" class="bottom" onmouseup="scaleClick(1, 30);" bgcolor="#FFFFFF"></td><td id="b_1_35" class="bottom" onmouseup="scaleClick(1, 35);" bgcolor="#FFFFFF"></td><td id="b_1_40" class="bottom" onmouseup="scaleClick(1, 40);" bgcolor="#FFFFFF"></td><td id="b_1_45" class="bottom" onmouseup="scaleClick(1, 45);" bgcolor="#FFFFFF"></td><td id="b_1_50" class="bottom" onmouseup="scaleClick(1, 50);" bgcolor="#FFFFFF"></td><td id="b_1_55" class="bottom" onmouseup="scaleClick(1, 55);" bgcolor="#FFFFFF"></td><td id="b_1_60" class="bottom" onmouseup="scaleClick(1, 60);" bgcolor="#FFFFFF"></td><td id="b_1_65" class="bottom" onmouseup="scaleClick(1, 65);" bgcolor="#FFFFFF"></td><td id="b_1_70" class="bottom" onmouseup="scaleClick(1, 70);" bgcolor="#FFFFFF"></td><td id="b_1_75" class="bottom" onmouseup="scaleClick(1, 75);" bgcolor="#FFFFFF"></td><td id="b_1_80" class="bottom" onmouseup="scaleClick(1, 80);" bgcolor="#FFFFFF"></td><td id="b_1_85" class="bottom" onmouseup="scaleClick(1, 85);" bgcolor="#FFFFFF"></td><td id="b_1_90" class="bottom" onmouseup="scaleClick(1, 90);" bgcolor="#FFFFFF"></td><td id="b_1_95" class="bottom" onmouseup="scaleClick(1, 95);" bgcolor="#FFFFFF"></td><td id="b_1_100" class="bottom" onmouseup="scaleClick(1, 100);" bgcolor="#FFFFFF"></td></tr><tr><td colspan="10" class="left">Baixa</td><td colspan="10" class="right">Alta</td></tr></tbody></table></td><td class="def">Quanto esforço físico foi exigido (por exemplo: empurrar, puxar, virar, controlar, ativar, etc)? A tarefa foi fácil ou exigente, morosa ou rápida, leve ou pesada?</td></tr></tbody></table></div>
  <div id="scale2"><table><tbody><tr><td><table class="scale"><tbody><tr><td colspan="20" class="heading">Demanda de tempo</td></tr><tr><td id="t_2_5" class="top1" onmouseup="scaleClick(2, 5);"></td><td id="t_2_10" class="top2" onmouseup="scaleClick(2, 10);"></td><td id="t_2_15" class="top1" onmouseup="scaleClick(2, 15);"></td><td id="t_2_20" class="top2" onmouseup="scaleClick(2, 20);"></td><td id="t_2_25" class="top1" onmouseup="scaleClick(2, 25);"></td><td id="t_2_30" class="top2" onmouseup="scaleClick(2, 30);"></td><td id="t_2_35" class="top1" onmouseup="scaleClick(2, 35);"></td><td id="t_2_40" class="top2" onmouseup="scaleClick(2, 40);"></td><td id="t_2_45" class="top1" onmouseup="scaleClick(2, 45);"></td><td id="t_2_50" class="top2" onmouseup="scaleClick(2, 50);"></td><td id="t_2_55" class="top1" onmouseup="scaleClick(2, 55);"></td><td id="t_2_60" class="top2" onmouseup="scaleClick(2, 60);"></td><td id="t_2_65" class="top1" onmouseup="scaleClick(2, 65);"></td><td id="t_2_70" class="top2" onmouseup="scaleClick(2, 70);"></td><td id="t_2_75" class="top1" onmouseup="scaleClick(2, 75);"></td><td id="t_2_80" class="top2" onmouseup="scaleClick(2, 80);"></td><td id="t_2_85" class="top1" onmouseup="scaleClick(2, 85);"></td><td id="t_2_90" class="top2" onmouseup="scaleClick(2, 90);"></td><td id="t_2_95" class="top1" onmouseup="scaleClick(2, 95);"></td><td id="t_2_100" class="top2" onmouseup="scaleClick(2, 100);"></td></tr><tr><td id="b_2_5" class="bottom" onmouseup="scaleClick(2, 5);"></td><td id="b_2_10" class="bottom" onmouseup="scaleClick(2, 10);"></td><td id="b_2_15" class="bottom" onmouseup="scaleClick(2, 15);"></td><td id="b_2_20" class="bottom" onmouseup="scaleClick(2, 20);"></td><td id="b_2_25" class="bottom" onmouseup="scaleClick(2, 25);"></td><td id="b_2_30" class="bottom" onmouseup="scaleClick(2, 30);"></td><td id="b_2_35" class="bottom" onmouseup="scaleClick(2, 35);"></td><td id="b_2_40" class="bottom" onmouseup="scaleClick(2, 40);"></td><td id="b_2_45" class="bottom" onmouseup="scaleClick(2, 45);"></td><td id="b_2_50" class="bottom" onmouseup="scaleClick(2, 50);"></td><td id="b_2_55" class="bottom" onmouseup="scaleClick(2, 55);"></td><td id="b_2_60" class="bottom" onmouseup="scaleClick(2, 60);"></td><td id="b_2_65" class="bottom" onmouseup="scaleClick(2, 65);"></td><td id="b_2_70" class="bottom" onmouseup="scaleClick(2, 70);"></td><td id="b_2_75" class="bottom" onmouseup="scaleClick(2, 75);"></td><td id="b_2_80" class="bottom" onmouseup="scaleClick(2, 80);"></td><td id="b_2_85" class="bottom" onmouseup="scaleClick(2, 85);"></td><td id="b_2_90" class="bottom" onmouseup="scaleClick(2, 90);"></td><td id="b_2_95" class="bottom" onmouseup="scaleClick(2, 95);"></td><td id="b_2_100" class="bottom" onmouseup="scaleClick(2, 100);"></td></tr><tr><td colspan="10" class="left">Baixa</td><td colspan="10" class="right">Alta</td></tr></tbody></table></td><td class="def">Quanta pressão em relação ao tempo você sentiu no ritmo de execução da tarefa? O ritmo era lento e vagaroso ou rápido e frenético?</td></tr></tbody></table></div>
  <div id="scale3"><table><tbody><tr><td><table class="scale"><tbody><tr><td colspan="20" class="heading">Desempenho</td></tr><tr><td id="t_3_5" class="top1" onmouseup="scaleClick(3, 5);" bgcolor="#FFFFFF"></td><td id="t_3_10" class="top2" onmouseup="scaleClick(3, 10);" bgcolor="#FFFFFF"></td><td id="t_3_15" class="top1" onmouseup="scaleClick(3, 15);" bgcolor="#FFFFFF"></td><td id="t_3_20" class="top2" onmouseup="scaleClick(3, 20);" bgcolor="#FFFFFF"></td><td id="t_3_25" class="top1" onmouseup="scaleClick(3, 25);" bgcolor="#FFFFFF"></td><td id="t_3_30" class="top2" onmouseup="scaleClick(3, 30);" bgcolor="#AAAAAA"></td><td id="t_3_35" class="top1" onmouseup="scaleClick(3, 35);" bgcolor="#FFFFFF"></td><td id="t_3_40" class="top2" onmouseup="scaleClick(3, 40);" bgcolor="#FFFFFF"></td><td id="t_3_45" class="top1" onmouseup="scaleClick(3, 45);" bgcolor="#FFFFFF"></td><td id="t_3_50" class="top2" onmouseup="scaleClick(3, 50);" bgcolor="#FFFFFF"></td><td id="t_3_55" class="top1" onmouseup="scaleClick(3, 55);" bgcolor="#FFFFFF"></td><td id="t_3_60" class="top2" onmouseup="scaleClick(3, 60);" bgcolor="#FFFFFF"></td><td id="t_3_65" class="top1" onmouseup="scaleClick(3, 65);" bgcolor="#FFFFFF"></td><td id="t_3_70" class="top2" onmouseup="scaleClick(3, 70);" bgcolor="#FFFFFF"></td><td id="t_3_75" class="top1" onmouseup="scaleClick(3, 75);" bgcolor="#FFFFFF"></td><td id="t_3_80" class="top2" onmouseup="scaleClick(3, 80);" bgcolor="#FFFFFF"></td><td id="t_3_85" class="top1" onmouseup="scaleClick(3, 85);" bgcolor="#FFFFFF"></td><td id="t_3_90" class="top2" onmouseup="scaleClick(3, 90);" bgcolor="#FFFFFF"></td><td id="t_3_95" class="top1" onmouseup="scaleClick(3, 95);" bgcolor="#FFFFFF"></td><td id="t_3_100" class="top2" onmouseup="scaleClick(3, 100);" bgcolor="#FFFFFF"></td></tr><tr><td id="b_3_5" class="bottom" onmouseup="scaleClick(3, 5);" bgcolor="#FFFFFF"></td><td id="b_3_10" class="bottom" onmouseup="scaleClick(3, 10);" bgcolor="#FFFFFF"></td><td id="b_3_15" class="bottom" onmouseup="scaleClick(3, 15);" bgcolor="#FFFFFF"></td><td id="b_3_20" class="bottom" onmouseup="scaleClick(3, 20);" bgcolor="#FFFFFF"></td><td id="b_3_25" class="bottom" onmouseup="scaleClick(3, 25);" bgcolor="#FFFFFF"></td><td id="b_3_30" class="bottom" onmouseup="scaleClick(3, 30);" bgcolor="#AAAAAA"></td><td id="b_3_35" class="bottom" onmouseup="scaleClick(3, 35);" bgcolor="#FFFFFF"></td><td id="b_3_40" class="bottom" onmouseup="scaleClick(3, 40);" bgcolor="#FFFFFF"></td><td id="b_3_45" class="bottom" onmouseup="scaleClick(3, 45);" bgcolor="#FFFFFF"></td><td id="b_3_50" class="bottom" onmouseup="scaleClick(3, 50);" bgcolor="#FFFFFF"></td><td id="b_3_55" class="bottom" onmouseup="scaleClick(3, 55);" bgcolor="#FFFFFF"></td><td id="b_3_60" class="bottom" onmouseup="scaleClick(3, 60);" bgcolor="#FFFFFF"></td><td id="b_3_65" class="bottom" onmouseup="scaleClick(3, 65);" bgcolor="#FFFFFF"></td><td id="b_3_70" class="bottom" onmouseup="scaleClick(3, 70);" bgcolor="#FFFFFF"></td><td id="b_3_75" class="bottom" onmouseup="scaleClick(3, 75);" bgcolor="#FFFFFF"></td><td id="b_3_80" class="bottom" onmouseup="scaleClick(3, 80);" bgcolor="#FFFFFF"></td><td id="b_3_85" class="bottom" onmouseup="scaleClick(3, 85);" bgcolor="#FFFFFF"></td><td id="b_3_90" class="bottom" onmouseup="scaleClick(3, 90);" bgcolor="#FFFFFF"></td><td id="b_3_95" class="bottom" onmouseup="scaleClick(3, 95);" bgcolor="#FFFFFF"></td><td id="b_3_100" class="bottom" onmouseup="scaleClick(3, 100);" bgcolor="#FFFFFF"></td></tr><tr><td colspan="10" class="left">Bom</td><td colspan="10" class="right">Ruim</td></tr></tbody></table></td><td class="def">uão bem sucedido você se considera ao realizar os objetivos da tarefa? Ficou satisfeito com o seu desempenho no cumprimento dessas metas?</td></tr></tbody></table></div>
  <div id="scale4"><table><tbody><tr><td><table class="scale"><tbody><tr><td colspan="20" class="heading">Esforço</td></tr><tr><td id="t_4_5" class="top1" onmouseup="scaleClick(4, 5);"></td><td id="t_4_10" class="top2" onmouseup="scaleClick(4, 10);"></td><td id="t_4_15" class="top1" onmouseup="scaleClick(4, 15);"></td><td id="t_4_20" class="top2" onmouseup="scaleClick(4, 20);"></td><td id="t_4_25" class="top1" onmouseup="scaleClick(4, 25);"></td><td id="t_4_30" class="top2" onmouseup="scaleClick(4, 30);"></td><td id="t_4_35" class="top1" onmouseup="scaleClick(4, 35);"></td><td id="t_4_40" class="top2" onmouseup="scaleClick(4, 40);"></td><td id="t_4_45" class="top1" onmouseup="scaleClick(4, 45);"></td><td id="t_4_50" class="top2" onmouseup="scaleClick(4, 50);"></td><td id="t_4_55" class="top1" onmouseup="scaleClick(4, 55);"></td><td id="t_4_60" class="top2" onmouseup="scaleClick(4, 60);"></td><td id="t_4_65" class="top1" onmouseup="scaleClick(4, 65);"></td><td id="t_4_70" class="top2" onmouseup="scaleClick(4, 70);"></td><td id="t_4_75" class="top1" onmouseup="scaleClick(4, 75);"></td><td id="t_4_80" class="top2" onmouseup="scaleClick(4, 80);"></td><td id="t_4_85" class="top1" onmouseup="scaleClick(4, 85);"></td><td id="t_4_90" class="top2" onmouseup="scaleClick(4, 90);"></td><td id="t_4_95" class="top1" onmouseup="scaleClick(4, 95);"></td><td id="t_4_100" class="top2" onmouseup="scaleClick(4, 100);"></td></tr><tr><td id="b_4_5" class="bottom" onmouseup="scaleClick(4, 5);"></td><td id="b_4_10" class="bottom" onmouseup="scaleClick(4, 10);"></td><td id="b_4_15" class="bottom" onmouseup="scaleClick(4, 15);"></td><td id="b_4_20" class="bottom" onmouseup="scaleClick(4, 20);"></td><td id="b_4_25" class="bottom" onmouseup="scaleClick(4, 25);"></td><td id="b_4_30" class="bottom" onmouseup="scaleClick(4, 30);"></td><td id="b_4_35" class="bottom" onmouseup="scaleClick(4, 35);"></td><td id="b_4_40" class="bottom" onmouseup="scaleClick(4, 40);"></td><td id="b_4_45" class="bottom" onmouseup="scaleClick(4, 45);"></td><td id="b_4_50" class="bottom" onmouseup="scaleClick(4, 50);"></td><td id="b_4_55" class="bottom" onmouseup="scaleClick(4, 55);"></td><td id="b_4_60" class="bottom" onmouseup="scaleClick(4, 60);"></td><td id="b_4_65" class="bottom" onmouseup="scaleClick(4, 65);"></td><td id="b_4_70" class="bottom" onmouseup="scaleClick(4, 70);"></td><td id="b_4_75" class="bottom" onmouseup="scaleClick(4, 75);"></td><td id="b_4_80" class="bottom" onmouseup="scaleClick(4, 80);"></td><td id="b_4_85" class="bottom" onmouseup="scaleClick(4, 85);"></td><td id="b_4_90" class="bottom" onmouseup="scaleClick(4, 90);"></td><td id="b_4_95" class="bottom" onmouseup="scaleClick(4, 95);"></td><td id="b_4_100" class="bottom" onmouseup="scaleClick(4, 100);"></td></tr><tr><td colspan="10" class="left">Baixo</td><td colspan="10" class="right">Alto</td></tr></tbody></table></td><td class="def">O quão duro você teve de trabalhar o (mental e fisicamente) para alcançar o seu nível de desempenho?</td></tr></tbody></table></div>
  <div id="scale5"><table><tbody><tr><td><table class="scale"><tbody><tr><td colspan="20" class="heading">Frustração</td></tr><tr><td id="t_5_5" class="top1" onmouseup="scaleClick(5, 5);"></td><td id="t_5_10" class="top2" onmouseup="scaleClick(5, 10);"></td><td id="t_5_15" class="top1" onmouseup="scaleClick(5, 15);"></td><td id="t_5_20" class="top2" onmouseup="scaleClick(5, 20);"></td><td id="t_5_25" class="top1" onmouseup="scaleClick(5, 25);"></td><td id="t_5_30" class="top2" onmouseup="scaleClick(5, 30);"></td><td id="t_5_35" class="top1" onmouseup="scaleClick(5, 35);"></td><td id="t_5_40" class="top2" onmouseup="scaleClick(5, 40);"></td><td id="t_5_45" class="top1" onmouseup="scaleClick(5, 45);"></td><td id="t_5_50" class="top2" onmouseup="scaleClick(5, 50);"></td><td id="t_5_55" class="top1" onmouseup="scaleClick(5, 55);"></td><td id="t_5_60" class="top2" onmouseup="scaleClick(5, 60);"></td><td id="t_5_65" class="top1" onmouseup="scaleClick(5, 65);"></td><td id="t_5_70" class="top2" onmouseup="scaleClick(5, 70);"></td><td id="t_5_75" class="top1" onmouseup="scaleClick(5, 75);"></td><td id="t_5_80" class="top2" onmouseup="scaleClick(5, 80);"></td><td id="t_5_85" class="top1" onmouseup="scaleClick(5, 85);"></td><td id="t_5_90" class="top2" onmouseup="scaleClick(5, 90);"></td><td id="t_5_95" class="top1" onmouseup="scaleClick(5, 95);"></td><td id="t_5_100" class="top2" onmouseup="scaleClick(5, 100);"></td></tr><tr><td id="b_5_5" class="bottom" onmouseup="scaleClick(5, 5);"></td><td id="b_5_10" class="bottom" onmouseup="scaleClick(5, 10);"></td><td id="b_5_15" class="bottom" onmouseup="scaleClick(5, 15);"></td><td id="b_5_20" class="bottom" onmouseup="scaleClick(5, 20);"></td><td id="b_5_25" class="bottom" onmouseup="scaleClick(5, 25);"></td><td id="b_5_30" class="bottom" onmouseup="scaleClick(5, 30);"></td><td id="b_5_35" class="bottom" onmouseup="scaleClick(5, 35);"></td><td id="b_5_40" class="bottom" onmouseup="scaleClick(5, 40);"></td><td id="b_5_45" class="bottom" onmouseup="scaleClick(5, 45);"></td><td id="b_5_50" class="bottom" onmouseup="scaleClick(5, 50);"></td><td id="b_5_55" class="bottom" onmouseup="scaleClick(5, 55);"></td><td id="b_5_60" class="bottom" onmouseup="scaleClick(5, 60);"></td><td id="b_5_65" class="bottom" onmouseup="scaleClick(5, 65);"></td><td id="b_5_70" class="bottom" onmouseup="scaleClick(5, 70);"></td><td id="b_5_75" class="bottom" onmouseup="scaleClick(5, 75);"></td><td id="b_5_80" class="bottom" onmouseup="scaleClick(5, 80);"></td><td id="b_5_85" class="bottom" onmouseup="scaleClick(5, 85);"></td><td id="b_5_90" class="bottom" onmouseup="scaleClick(5, 90);"></td><td id="b_5_95" class="bottom" onmouseup="scaleClick(5, 95);"></td><td id="b_5_100" class="bottom" onmouseup="scaleClick(5, 100);"></td></tr><tr><td colspan="10" class="left">Pouco</td><td colspan="10" class="right">Muito</td></tr></tbody></table></td><td class="def">Quão inseguro, desencorajado, irritado, estressado e aborrecido versus seguro, gratificado, satisfeito, relaxado e complacente você se sentiu durante a tarefa?</td></tr></tbody></table></div>

  <br>
  <input class="next" id="next" type="button" value="Continuar &gt;&gt;" onclick="buttonPart1();">
</div>

<div id="div_part2" style="display:none">
  Questionário da tarefa - Parte 2 <br>
  <br>
  Em cada uma das próximas 15 telas, clique no título da escala que melhor representa o fator de maior contribuição em termos de carga de trabalho durante a realização da tarefa.
  <br>
  <br>
  <input class="next" id="next" type="button" value="Continuar &gt;&gt;" onclick="buttonPart2();">
</div>

<div id="div_part3" style="display:none">
  Questionário da tarefa - Parte 2 <br>
  <br>
  Clique no fator que representa o fator de maior contribuição para a carga de trabalho da tarefa.
  <br>
  <br>
  <table>
    <tbody><tr>
      <td><input class="pair" id="pair1" type="button" value="" onclick="buttonPair1();"> </td>
      <td class="def"><div id="pair1_def"></div></td>
    </tr>
    <tr>
      <td align="center"> ou </td>
      <td></td>
    </tr>
    <tr>
      <td><input class="pair" id="pair2" type="button" value="" onclick="buttonPair2();"></td>
      <td class="def"><div id="pair2_def"></div></td>
    </tr>
  </tbody></table>
</div>

<div id="div_part4" style="display:none">
</div>
<script src="http://code.jquery.com/jquery-1.11.0.min.js"></script>
<script>
	$(function(){
		onLoad();
	});
</script>

<?

// Finish the page
echo $OUTPUT->footer();
